Last modified: 2011-07-07 01:44:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23086 - AbuseFilter config diff date and time should use user preference instead of UTC
AbuseFilter config diff date and time should use user preference instead of UTC
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
AbuseFilter (Other open bugs)
unspecified
All All
: Low minor (vote)
: ---
Assigned To: Nobody - You can work on this!
: easy
Depends on:
Blocks: 29235
  Show dependency treegraph
 
Reported: 2010-04-07 21:56 UTC by merl
Modified: 2011-07-07 01:44 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
The bug in action on Wikimedia Commons (93.42 KB, image/png)
2011-07-05 19:59 UTC, Krinkle
Details

Description merl 2010-04-07 21:56:50 UTC
On diff view the item row shows the time of an version in utc and not the local timezone as specified in the user settings.
Comment 1 Krinkle 2011-07-05 19:58:58 UTC
Changing summary to reflect the request. (it was interpretable both ways..)

Additional info:
The date and time displayed on the Special:AbuseFilter/history ("Recent filter changes") page in the  "Time" column is correct. But the date/time on top of the actual diff is wrong.

See screenshot for details.
Comment 2 Krinkle 2011-07-05 19:59:52 UTC
Created attachment 8743 [details]
The bug in action on Wikimedia Commons

Compare the date/time in the top window and the bottom window. The latter one doesn't use the user preference (GMT +2) but UTC.
Comment 3 Robin Pepermans (SPQRobin) 2011-07-06 23:15:04 UTC
Easy indeed.. fixed in r91619.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links